#include <Arduino.h>

// Value Helpers
int16_t make16(uint8_t u1, uint8_t u2)
{
    return ((int16_t)u1 << 8) | u2;
}

uint8_t split16(uint16_t value, uint8_t index)
{
    switch (index)
    {
    case 0:
        return (value >> 8);
    case 1:
        return value & 0xff;
    }
    return 0;
}
